<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title></title>
    <link rel="stylesheet" media="all" href="bower_components/bootstrap/dist/css/bootstrap.css"
          data-turbolinks-track="true"/>
    <link rel="stylesheet" href="main.css">
</head>
<body>

<div class="container">

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Panel title</h3>
                </div>
                <div class="panel-body">
                    <div class="list-group" id="messages">

                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
<!-- /.container -->

<script src="bower_components/mqttjs-browser/js/browserMqtt.js"></script>
<script src="bower_components/jquery/dist/jquery.js"></script>
<script src="bower_components/bootstrap/dist/js/bootstrap.js"></script>
<script>
    var client = mqtt.connect('ws://93.188.164.227:3000'); // you add a ws:// url here
    client.subscribe("mosca-service.example");

    client.on("message", function (topic, payload) {
        var msg = JSON.parse(payload);
        $('<a href="#" class="list-group-item"><h4 class="list-group-item-heading">' +
                msg.title +
                '</h4><p class="list-group-item-text">' +
                msg .body +
                '</p></a>')
                .appendTo($('#messages'));
    });
</script>
</body>
</html>